Subject: bug#12842: 24.2.50; ansi-term does not recognize escape sequence

From: Glenn Morris <[email-masked]>
Date: Fri, 09 Nov 2012 14:00:35 -0500

Marcelo Lacerda wrote:

> Whenever I try to use a escape sequence in ansi-term "C-c" it is sent
> immediatelly to the shell.
>
> Steps:
>
> emacs -Q RET
> M-x ansi-term RET
> C-c

Thanks for the report. I think this is due to the 2012-05-11 changes to
term-set-escape-char.

term.el does this at top-level:

(term-set-escape-char (or term-escape-char ?\C-c))

M-x ansi-term does this:

(term-set-escape-char ?\C-x)

In Emacs 24.2, the net result is that both C-x and C-c acts as escape
chars in ansi-term. In 24.2.50, the C-x binding replaces the C-c one.
I don't know what the intended ansi-term behaviour was.